Bug 203209 - Keystrokes duplicated on Mac Pro
Keystrokes duplicated on Mac Pro
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 17:51 EDT by Greg Hackmann
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 01:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Hackmann 2006-08-18 17:51:57 EDT
Description of problem:
When attempting to install Fedora on a Mac Pro, each keystroke is duplicated
(e.g., when I press the "A" key, the installer thinks I typed "AA").  This makes
installing Fedora impractical.

Steps to Reproduce:
1. Boot FC6 CD in Mac Pro
2. Wait for the curses part of the installation to start
3. Attempt to type

Actual results:
Each keystroke is duplicated

Expected results:
Each keystroke is only accepted once

Additional info:
The installer prints "Disabling IRQ #90" between printing "running /sbin/loader"
and actually starting the installer.  I don't know if this is related.
Comment 1 Ian Burrell 2006-08-20 16:02:32 EDT
I am having the same issue with a MacBook (i386 only).  Every keypress is
duplicated.  The FC6 test 2 installer kernel and the current development
rescuecd have the problem.  The original FC5 CD does not have the problem.
Comment 2 Jon Stanley 2007-12-30 20:33:19 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-03-09 01:16:33 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.